package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaShareActivity;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 拼团活动表  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
public interface ITaShareActivityService extends IService<TaShareActivity> {

    ResponseBean getList(Integer pageNum, Integer pageSize, String buildingId, String activityName, String status, LocalDateTime startTime, LocalDateTime endTime, Integer orgId);

    /**
     * 开始未进行的活动
     * @param startGroupActivityId
     */
    void updateUnStartActivity(List<Integer> startGroupActivityId);

    /**
     * 结束过期的活动
     * @param endGroupActivityId
     */
    void updateEndActivity(List<Integer> endGroupActivityId);
}
